MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0022938Community[OCCT] OCCT:Modeling Algorithmspublic2012-01-30 15:022012-04-16 12:19
ReporterPawel 
Assigned Tobugmaster 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version[OCCT] 6.5.2 
Target Version[OCCT] 6.5.3Fixed in Version[OCCT] 6.5.3 
Summary0022938: HLRBRep_InternalAlgo.cxx
Descriptionthe following variables in HLRBRep_InternalAlgo::HideSelected (lines 800-820 in OCCT 6.5.2):

Standard_Integer *Val = new Standard_Integer [nf+1];
Standard_Real *Size = new Standard_Real [nf+1];
Standard_Integer *Index = new Standard_Integer [nf+1];

are deleted (lines 918-920) the following way:

delete Val;
delete Size;
delete Index;

which I guess is wrong because the array delete operator should be used like in OCCT 6.5.1:

delete [] Val;
delete [] Size;
delete [] Index;
TagsNo tags attached.
Test case numberTest case is not required
Attached Files

- Relationships

-  Notes
(0019308)
Pawel (developer)
2012-01-30 15:04

Because of the mantis bug reported here (http://dev.opencascade.org/index.php?q=node/39 [^]) I was making some experiments with the input parameters and so some of them are wrong in this report. The correct ones are:

Product Version: [OCCT] 6.5.2
Category: [OCCT] OCCT: Modeling algorithms
(0019312)
abv (manager)
2012-01-30 17:39

Please use array classes from TColStd package instead of C pointers
(0019426)
dbv (developer)
2012-02-07 11:49

C pointers has been replaced by array classes from TColStd package

Branch http://svn/svn/occt/branches/OCC22938 [^] is ready to be reviewed.

Dear Andrey,
Please review.
(0019430)
abv (manager)
2012-02-07 12:07

No remarks, please test
(0019581)
apn (administrator)
2012-02-15 16:06
edited on: 2012-02-15 16:06

Dear BugMaster,
  Workbench KAS:dev:apn-22938-occt was created from SVN branch http://svn/svn/occt/branches/OCC22938 [^]
  (and apn-22938-products from trunk) and compiled on Linux and Windows platforms.
  
  There are not regressions in apn-22938-products regarding to KAS:dev:products-20120127-opt
  
  See results in /QADisk/occttests/results/KAS/dev/ apn-22938-products_14022012/lin
  See reference results in /QADisk/occttests/results/KAS/dev/products-20120127-opt_28012012/lin
  See test cases in /QADisk/occttests/tests/ED

(0019625)
bugmaster (administrator)
2012-02-17 15:12

Integrated into trunk of occt repository

Date: 2012-02-17 15:11:03 +0400 (Fri, 17 Feb 2012)
New Revision: 10502

Modified:
   trunk/src/HLRBRep/HLRBRep_InternalAlgo.cxx
(0020390)
Pawel (developer)
2012-04-16 12:19

Verified. Please close.

- Related Changesets
occt: master b8f2022a
Timestamp: 2012-02-17 11:11:03
Author: dbv
Committer: bugmaster
Details ] Diff ]
0022938: HLRBRep_InternalAlgo.cxx
mod - src/HLRBRep/HLRBRep_InternalAlgo.cxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2012-01-30 15:02 Pawel New Issue
2012-01-30 15:02 Pawel Assigned To => mkv
2012-01-30 15:04 Pawel Note Added: 0019308
2012-01-30 16:24 bugmaster Category OCCT:DRAW => OCCT:Modeling Algorithms
2012-01-30 16:24 bugmaster Product Version 5.0.0 => 6.5.2
2012-01-30 16:24 bugmaster Assigned To mkv => jgv
2012-01-30 16:24 bugmaster Status new => assigned
2012-01-30 17:38 abv Assigned To jgv => dbv
2012-01-30 17:39 abv Note Added: 0019312
2012-02-07 11:49 dbv Note Added: 0019426
2012-02-07 11:49 dbv Assigned To dbv => abv
2012-02-07 11:49 dbv Status assigned => resolved
2012-02-07 12:07 abv Note Added: 0019430
2012-02-07 12:07 abv Status resolved => reviewed
2012-02-07 12:07 abv Target Version => 6.5.3
2012-02-14 13:12 mkv Assigned To abv => aan
2012-02-15 16:06 apn Note Added: 0019581
2012-02-15 16:06 apn Note Edited: 0019581 View Revisions
2012-02-15 16:07 apn Test case number => Test case is not required
2012-02-15 16:07 apn Status reviewed => tested
2012-02-17 15:12 bugmaster Note Added: 0019625
2012-02-17 15:12 bugmaster Status tested => verified
2012-02-17 15:12 bugmaster Resolution open => fixed
2012-02-17 15:12 bugmaster Assigned To aan => Pawel
2012-03-29 17:26 bugmaster Changeset attached => occt master b8f2022a
2012-04-16 12:18 Pawel Assigned To Pawel => bugmaster
2012-04-16 12:19 Pawel Note Added: 0020390


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker